Debian Bug report logs - #271645
FTBFS: excessive memory use makes autobuild impossible

version graph

Package: zinf; Maintainer for zinf is (unknown);

Reported by: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Date: Tue, 14 Sep 2004 10:48:04 UTC

Severity: serious

Tags: patch

Found in version 2.2.5-4

Fixed in version zinf/2.2.5-5

Done: Andreas Rottmann <rotty@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, arm@buildd.debian.org, Andreas Rottmann <rotty@debian.org>:
Bug#271645; Package zinf. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
New Bug report received and forwarded. Copy sent to arm@buildd.debian.org, Andreas Rottmann <rotty@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: submit@bugs.debian.org
Subject: FTBFS: zinf/arm -- Internal Compiler Error
Date: Tue, 14 Sep 2004 12:42:42 +0200
Package: zinf
Version: 2.2.5-4
Severity: serious

http://buildd.debian.org/fetch.php?&pkg=zinf&ver=2.2.5-4&arch=arm&stamp=1093948982&file=log&as=raw

Automatic build of zinf_2.2.5-4 on elara by sbuild/arm 1.170.5
[...]
Toolchain package versions: libc6-dev_2.3.2.ds1-16
linux-kernel-headers_2.5.999-test7-bk-17 gcc-3.3_1:3.3.4-7 g++-3.3_1:3.3.4-7
binutils_2.15-1 libstdc++5_1:3.3.4-7 libstdc++5-3.3-dev_1:3.3.4-7
[...]
if /bin/sh ../../libtool --mode=compile g++ -DHAVE_CONFIG_H -I. -I. -I../../config  -D_REENTRANT -I../../base/include -I../../base/unix/include -I../../lib/utf8 -I../../ui/include -I../../lmc/include -I../../io/include -I../../mdb -I./include -I../../lib/xml/include -I../../lib/unzip/include -I../../lib/http/include -I../../ui/musicbrowser/unix/include   -I./unix/include -DXTHREADS -pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include      -g -Wall -O2 -MT Theme.lo -MD -MP -MF ".deps/Theme.Tpo" -c -o Theme.lo `test -f 'src/Theme.cpp' || echo './'`src/Theme.cpp; \
then mv -f ".deps/Theme.Tpo" ".deps/Theme.Plo"; else rm -f ".deps/Theme.Tpo"; exit 1; fi
 g++ -DHAVE_CONFIG_H -I. -I. -I../../config -D_REENTRANT -I../../base/include -I../../base/unix/include -I../../lib/utf8 -I../../ui/include -I../../lmc/include -I../../io/include -I../../mdb -I./include -I../../lib/xml/include -I../../lib/unzip/include -I../../lib/http/include -I../../ui/musicbrowser/unix/include -I./unix/include -DXTHREADS -pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -g -Wall -O2 -MT Theme.lo -MD -MP -MF .deps/Theme.Tpo -c src/Theme.cpp  -fPIC -DPIC -o .libs/Theme.o
g++: Internal error: Killed (program cc1plus)
Please submit a full bug report.
See <URL:http://gcc.gnu.org/bugs.html> for instructions.
For Debian GNU/Linux specific bug reporting instructions,
see <URL:file:///usr/share/doc/gcc-3.3/README.Bugs>.

make[4]: *** [Theme.lo] Error 1
make[4]: Leaving directory `/build/buildd/zinf-2.2.5/ui/zinf'


Note that this FTBFS is holding new versions of your package out of Sarge.
Although this might be caused by some other package, it would be wrong to
reassign this bug, since it is your package that FTBFS's. Clone this bug
and reassign it in case you identify the cause in some other package.

Note that also it would be wrong to manually-build this package on arm, since
the build failure might still occur on the autobuilder, and either it should
be identified as a autobuilder bug (and fixed), or your package should be
fixed. This is especially important w.r.t. security support.

If you have questions about this build error, please ask them on
debian-devel or debian-<arch>, chances that someone with the required
knowledge can help you there is higher than mailing me personally.

--Jeroen

Disclaimer: I'm not a buildd admin, and are by far not as experienced in
classifying build logs.

-- 
Jeroen van Wolffelaar
jeroen@wolffelaar.nl
http://jeroen.A-Eskwadraat.nl



Information forwarded to debian-bugs-dist@lists.debian.org, Andreas Rottmann <rotty@debian.org>:
Bug#271645; Package zinf. Full text and rfc822 format available.

Acknowledgement sent to Andreas Rottmann <a.rottmann@gmx.at>:
Extra info received and forwarded to list. Copy sent to Andreas Rottmann <rotty@debian.org>. Full text and rfc822 format available.

Message #10 received at 271645@bugs.debian.org (full text, mbox):

From: Andreas Rottmann <a.rottmann@gmx.at>
To: debian-devel@lists.debian.org, debian-arm@lists.debian.org
Cc: 271645@bugs.debian.org, control@bugs.debian.org
Subject: Help with an FTBFS (gcc ICE) #271645
Date: Tue, 14 Sep 2004 16:46:26 +0200
tags 271645 +help
thanks

Hi!

I'd appreciate if someone could help me with #271645; the build fails
with an ICE on ARM[0]. Does this indicate a gcc bug, is something
wrong with the buildd, or what else could be the cause and how should
I go about it. I've already contacted arm@buildd.d.o requesting a
rebuild (maybe it magically fixes it, since the last revision built
and source has not changed since).

[0] http://buildd.debian.org/fetch.php?&pkg=zinf&ver=2.2.5-4&arch=arm&stamp=1093948982&file=log&as=raw

Thanks, Andy

PS: I'm going on vacation from today evening until Sept. 29., so I
    can't do much to help get zinf into sarge, so it would be cool if
    someone could look after this bug
-- 
Andreas Rottmann         | Rotty@ICQ      | 118634484@ICQ | a.rottmann@gmx.at
http://yi.org/rotty      | GnuPG Key: http://yi.org/rotty/gpg.asc
Fingerprint              | DFB4 4EB4 78A4 5EEE 6219  F228 F92F CFC5 01FD 5B62

It's *GNU*/Linux dammit!



Tags added: help Request was from Andreas Rottmann <a.rottmann@gmx.at> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Andreas Rottmann <rotty@debian.org>:
Bug#271645; Package zinf. Full text and rfc822 format available.

Acknowledgement sent to lsorense@csclub.uwaterloo.ca (Lennart Sorensen):
Extra info received and forwarded to list. Copy sent to Andreas Rottmann <rotty@debian.org>. Full text and rfc822 format available.

Message #17 received at 271645@bugs.debian.org (full text, mbox):

From: lsorense@csclub.uwaterloo.ca (Lennart Sorensen)
To: Andreas Rottmann <a.rottmann@gmx.at>
Cc: debian-devel@lists.debian.org, debian-arm@lists.debian.org, 271645@bugs.debian.org, control@bugs.debian.org
Subject: Re: Help with an FTBFS (gcc ICE) #271645
Date: Wed, 15 Sep 2004 09:27:47 -0400
On Tue, Sep 14, 2004 at 04:46:26PM +0200, Andreas Rottmann wrote:
> tags 271645 +help
> thanks
> 
> Hi!
> 
> I'd appreciate if someone could help me with #271645; the build fails
> with an ICE on ARM[0]. Does this indicate a gcc bug, is something
> wrong with the buildd, or what else could be the cause and how should
> I go about it. I've already contacted arm@buildd.d.o requesting a
> rebuild (maybe it magically fixes it, since the last revision built
> and source has not changed since).
> 
> [0] http://buildd.debian.org/fetch.php?&pkg=zinf&ver=2.2.5-4&arch=arm&stamp=1093948982&file=log&as=raw
> 
> Thanks, Andy
> 
> PS: I'm going on vacation from today evening until Sept. 29., so I
>     can't do much to help get zinf into sarge, so it would be cool if
>     someone could look after this bug

Well it does build on my sarge system, although it took a ton of ram
(and swap) space to do it, upwards of probably 200 or 300M.  Before
enabling swap it did fail with a g++ error.  It seems Theme.cpp is the
worst offender (at least while I was keeping an eye on it).

I guess the buildd with the most ram/swap space needs to build it.

I had 64M ram and 768M swap when I tried the build.  It succeeded with
those resources.

Len Sorensen



Information forwarded to debian-bugs-dist@lists.debian.org, Andreas Rottmann <rotty@debian.org>:
Bug#271645; Package zinf. Full text and rfc822 format available.

Acknowledgement sent to Philip Blundell <pb@nexus.co.uk>:
Extra info received and forwarded to list. Copy sent to Andreas Rottmann <rotty@debian.org>. Full text and rfc822 format available.

Message #22 received at 271645@bugs.debian.org (full text, mbox):

From: Philip Blundell <pb@nexus.co.uk>
To: Andreas Rottmann <a.rottmann@gmx.at>
Cc: debian-devel@lists.debian.org, debian-arm@lists.debian.org, 271645@bugs.debian.org, control@bugs.debian.org
Subject: Re: Help with an FTBFS (gcc ICE) #271645
Date: Wed, 15 Sep 2004 14:34:01 +0100
On Tue, 2004-09-14 at 16:46 +0200, Andreas Rottmann wrote:
> I'd appreciate if someone could help me with #271645; the build fails
> with an ICE on ARM[0]. Does this indicate a gcc bug, is something
> wrong with the buildd, or what else could be the cause and how should
> I go about it

It ran out of memory.  Elara has only 64MB; you need to ask for your
package to be added to the no-auto-build list on that machine and
retried on one of the others.

p.




Reply sent to Andreas Rottmann <a.rottmann@gmx.at>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 271645-done@bugs.debian.org (full text, mbox):

From: Andreas Rottmann <a.rottmann@gmx.at>
To: 271645-done@bugs.debian.org
Cc: debian-arm@lists.debian.org
Subject: This is a buildd issue
Date: Sun, 24 Oct 2004 14:11:12 +0200
[I'm CCing debian-arm, as hopefully someone there can trigger zinf to
 be rebuilt on an ARM machine with more RAM - see [0] for details. ]

[0] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=271645&repeatmerged=no

As pointed out already, this is not a package bug, but the buildd in
question had too little RAM.

Regards, Rotty



Information forwarded to debian-bugs-dist@lists.debian.org, Andreas Rottmann <rotty@debian.org>:
Bug#271645; Package zinf. Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to Andreas Rottmann <rotty@debian.org>. Full text and rfc822 format available.

Message #32 received at 271645@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: Debian ARM <debian-arm@lists.debian.org>
Cc: 271645@bugs.debian.org
Subject: Re: This is a buildd issue
Date: Tue, 26 Oct 2004 11:54:40 -0400
On Mon, 2004-10-25 at 17:31, Adam C Powell IV wrote:
> On Sun, 2004-10-24 at 08:11, Andreas Rottmann wrote:
> > [I'm CCing debian-arm, as hopefully someone there can trigger zinf to
> >  be rebuilt on an ARM machine with more RAM - see [0] for details. ]
> > 
> > [0] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=271645&repeatmerged=no
> > 
> > As pointed out already, this is not a package bug, but the buildd in
> > question had too little RAM.
> 
> I've got a Netwinder with a bunch of RAM and will give it a try.

Hmm, 128 MB (and 66 MB swap) is not enough RAM for this: after it dies
(at the same place as on elara), the machine has 112 MB RAM and 58 MB
swap free!  When I try to recompile that one file, the cc1plus memory
usage grows to 169 MB (!!) before being killed.

There's something wrong here, either a g++ bug or a package bug.  I
don't see how a 58K .cpp file is taking that much memory to compile,
when nothing else in the package seemed to take more than 30-40 MB.

Sorry,

-Adam P.

GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Welcome to the best software in the world today cafe!
http://lyre.mit.edu/~powell/The_Best_Stuff_In_The_World_Today_Cafe.ogg



Information forwarded to debian-bugs-dist@lists.debian.org, Andreas Rottmann <rotty@debian.org>:
Bug#271645; Package zinf. Full text and rfc822 format available.

Acknowledgement sent to Andreas Rottmann <a.rottmann@gmx.at>:
Extra info received and forwarded to list. Copy sent to Andreas Rottmann <rotty@debian.org>. Full text and rfc822 format available.

Message #37 received at 271645@bugs.debian.org (full text, mbox):

From: Andreas Rottmann <a.rottmann@gmx.at>
To: Adam C Powell IV <hazelsct@debian.org>
Cc: 271645@bugs.debian.org, Debian ARM <debian-arm@lists.debian.org>
Subject: Re: Bug#271645: This is a buildd issue
Date: Tue, 26 Oct 2004 18:22:46 +0200
Adam C Powell IV <hazelsct@debian.org> writes:

> On Mon, 2004-10-25 at 17:31, Adam C Powell IV wrote:
>> On Sun, 2004-10-24 at 08:11, Andreas Rottmann wrote:
>> > [I'm CCing debian-arm, as hopefully someone there can trigger zinf to
>> >  be rebuilt on an ARM machine with more RAM - see [0] for details. ]
>> > 
>> > [0] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=271645&repeatmerged=no
>> > 
>> > As pointed out already, this is not a package bug, but the buildd in
>> > question had too little RAM.
>> 
>> I've got a Netwinder with a bunch of RAM and will give it a try.
>
> Hmm, 128 MB (and 66 MB swap) is not enough RAM for this: after it dies
> (at the same place as on elara), the machine has 112 MB RAM and 58 MB
> swap free!  When I try to recompile that one file, the cc1plus memory
> usage grows to 169 MB (!!) before being killed.
>
> There's something wrong here, either a g++ bug or a package bug.  I
> don't see how a 58K .cpp file is taking that much memory to compile,
> when nothing else in the package seemed to take more than 30-40 MB.
>
Well, templated C++ can be quite a memory hog. Since people have
actually suceeded to build this on ARM (see the bugreport), could try
to add a few hundert MB swap and try again?

Thanks, Andy
-- 
Andreas Rottmann         | Rotty@ICQ      | 118634484@ICQ | a.rottmann@gmx.at
http://yi.org/rotty      | GnuPG Key: http://yi.org/rotty/gpg.asc
Fingerprint              | DFB4 4EB4 78A4 5EEE 6219  F228 F92F CFC5 01FD 5B62

Make free software, not war!



Information forwarded to debian-bugs-dist@lists.debian.org, Andreas Rottmann <rotty@debian.org>:
Bug#271645; Package zinf. Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to Andreas Rottmann <rotty@debian.org>. Full text and rfc822 format available.

Message #42 received at 271645@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: 271645@bugs.debian.org
Cc: Debian ARM <debian-arm@lists.debian.org>
Subject: Re: Bug#271645: This is a buildd issue
Date: Tue, 26 Oct 2004 12:58:39 -0400
On Tue, 2004-10-26 at 12:22, Andreas Rottmann wrote:
> Adam C Powell IV <hazelsct@debian.org> writes:
> 
> > On Mon, 2004-10-25 at 17:31, Adam C Powell IV wrote:
> >> On Sun, 2004-10-24 at 08:11, Andreas Rottmann wrote:
> >> > [I'm CCing debian-arm, as hopefully someone there can trigger zinf to
> >> >  be rebuilt on an ARM machine with more RAM - see [0] for details. ]
> >> > 
> >> > [0] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=271645&repeatmerged=no
> >> > 
> >> > As pointed out already, this is not a package bug, but the buildd in
> >> > question had too little RAM.
> >> 
> >> I've got a Netwinder with a bunch of RAM and will give it a try.
> >
> > Hmm, 128 MB (and 66 MB swap) is not enough RAM for this: after it dies
> > (at the same place as on elara), the machine has 112 MB RAM and 58 MB
> > swap free!  When I try to recompile that one file, the cc1plus memory
> > usage grows to 169 MB (!!) before being killed.
> >
> > There's something wrong here, either a g++ bug or a package bug.  I
> > don't see how a 58K .cpp file is taking that much memory to compile,
> > when nothing else in the package seemed to take more than 30-40 MB.
> >
> Well, templated C++ can be quite a memory hog. Since people have
> actually suceeded to build this on ARM (see the bugreport), could try
> to add a few hundert MB swap and try again?
> 
> Thanks, Andy

Sorry, I don't have the disk space.  Anyone else?

-Adam P.

GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Welcome to the best software in the world today cafe!
http://lyre.mit.edu/~powell/The_Best_Stuff_In_The_World_Today_Cafe.ogg



Information forwarded to debian-bugs-dist@lists.debian.org, Andreas Rottmann <rotty@debian.org>:
Bug#271645; Package zinf. Full text and rfc822 format available.

Acknowledgement sent to Ralph Siemsen <ralphs@netwinder.org>:
Extra info received and forwarded to list. Copy sent to Andreas Rottmann <rotty@debian.org>. Full text and rfc822 format available.

Message #47 received at 271645@bugs.debian.org (full text, mbox):

From: Ralph Siemsen <ralphs@netwinder.org>
To: Adam C Powell IV <hazelsct@debian.org>
Cc: Debian ARM <debian-arm@lists.debian.org>, 271645@bugs.debian.org
Subject: Re: This is a buildd issue
Date: Tue, 26 Oct 2004 13:05:40 -0400
Adam C Powell IV wrote:

> There's something wrong here, either a g++ bug or a package bug.  I
> don't see how a 58K .cpp file is taking that much memory to compile,
> when nothing else in the package seemed to take more than 30-40 MB.

It often depends on the optimisation settings, or the use of templated 
code.  I suggest you try the compile with -O0 for that one file... there 
are a few other packages with similar issues that had to be fixed that way.

-R



Information forwarded to debian-bugs-dist@lists.debian.org, Andreas Rottmann <rotty@debian.org>:
Bug#271645; Package zinf. Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to Andreas Rottmann <rotty@debian.org>. Full text and rfc822 format available.

Message #52 received at 271645@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: 271645@bugs.debian.org
Cc: Debian ARM <debian-arm@lists.debian.org>
Subject: Re: This is a buildd issue
Date: Tue, 26 Oct 2004 13:33:28 -0400
On Tue, 2004-10-26 at 13:05, Ralph Siemsen wrote:
> Adam C Powell IV wrote:
> 
> > There's something wrong here, either a g++ bug or a package bug.  I
> > don't see how a 58K .cpp file is taking that much memory to compile,
> > when nothing else in the package seemed to take more than 30-40 MB.
> 
> It often depends on the optimisation settings, or the use of templated 
> code.  I suggest you try the compile with -O0 for that one file... there 
> are a few other packages with similar issues that had to be fixed that way.

Hey, that worked!  Now, how to dig in and try to get that one file to
compile with -O0 during the build...

-Adam P.

GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Welcome to the best software in the world today cafe!
http://lyre.mit.edu/~powell/The_Best_Stuff_In_The_World_Today_Cafe.ogg



Information forwarded to debian-bugs-dist@lists.debian.org, Andreas Rottmann <rotty@debian.org>:
Bug#271645; Package zinf. Full text and rfc822 format available.

Acknowledgement sent to Ralph Siemsen <ralphs@netwinder.org>:
Extra info received and forwarded to list. Copy sent to Andreas Rottmann <rotty@debian.org>. Full text and rfc822 format available.

Message #57 received at 271645@bugs.debian.org (full text, mbox):

From: Ralph Siemsen <ralphs@netwinder.org>
To: Adam C Powell IV <hazelsct@debian.org>
Cc: 271645@bugs.debian.org, Debian ARM <debian-arm@lists.debian.org>
Subject: Re: This is a buildd issue
Date: Tue, 26 Oct 2004 14:17:05 -0400
Adam C Powell IV wrote:

> Hey, that worked!  Now, how to dig in and try to get that one file to
> compile with -O0 during the build...

Hint: you can override CFLAGS etc in makefiles on a per-target basis. 
The info pages describe it under "info make Target-specific" or see 
http://www.gnu.org/software/make/manual/html_chapter/make_6.html#SEC77

With autoconf/automake getting the target name right can be tricky... it 
needs to match what autoconf/automake generates exactly.  I think what 
you'll want is along the lines of:

.libs/Theme.o : CFLAGS = $(CFLAGS) -O0

possibly with "override" keyword specified as well, in case CFLAGS was 
specified via environement varibles to make.  The above assumes that the 
-O2 was in the original CFLAGS; gcc will normally use whichever value 
was specified last.

-Ralph



Information forwarded to debian-bugs-dist@lists.debian.org, Andreas Rottmann <rotty@debian.org>:
Bug#271645; Package zinf. Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to Andreas Rottmann <rotty@debian.org>. Full text and rfc822 format available.

Message #62 received at 271645@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: 271645@bugs.debian.org
Cc: Debian ARM <debian-arm@lists.debian.org>
Subject: Re: This is a buildd issue
Date: Wed, 27 Oct 2004 20:07:37 -0400
[Message part 1 (text/plain, inline)]
reopen 271645
retitle 271645 FTBFS: excessive memory use makes autobuild impossible
tags 271645 +patch
thanks

On Tue, 2004-10-26 at 14:17, Ralph Siemsen wrote:
> Adam C Powell IV wrote:
> 
> > Hey, that worked!  Now, how to dig in and try to get that one file to
> > compile with -O0 during the build...
> 
> Hint: you can override CFLAGS etc in makefiles on a per-target basis. 
> The info pages describe it under "info make Target-specific" or see 
> http://www.gnu.org/software/make/manual/html_chapter/make_6.html#SEC77
> 
> With autoconf/automake getting the target name right can be tricky... it 
> needs to match what autoconf/automake generates exactly.  I think what 
> you'll want is along the lines of:
> 
> .libs/Theme.o : CFLAGS = $(CFLAGS) -O0

Okay.  That sort of worked, though putting just a line like that in
Makefile.am *substituted* for the Theme.[l]o target, so I needed to
match the autoconf/automake line exactly.  For automake 1.8 (which is
run during the build), the attached patch lets it build successfully. 
Though if Theme.[l]o optimization noticeably degrades performance, the
maintainer will probably want to surround it with some kind of "if
ARM..."

Note that Theme.o is the only file which causes problems, it needs more
than 170 MB to compile with -O2, nothing else needs more than 68 MB.

Also, I ran out of disk space during make install, so I can't upload...
:-(

Thanks for your help,

-Adam P.

GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Welcome to the best software in the world today cafe!
http://lyre.mit.edu/~powell/The_Best_Stuff_In_The_World_Today_Cafe.ogg
[zinf2.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Andreas Rottmann <rotty@debian.org>:
Bug#271645; Package zinf. Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to Andreas Rottmann <rotty@debian.org>. Full text and rfc822 format available.

Message #67 received at 271645@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: 271645@bugs.debian.org
Cc: Debian ARM <debian-arm@lists.debian.org>
Subject: Re: This is a buildd issue
Date: Thu, 28 Oct 2004 06:31:26 -0400
[Message part 1 (text/plain, inline)]
On Wed, 2004-10-27 at 20:07, Adam C Powell IV wrote:
> Also, I ran out of disk space during make install, so I can't upload...
> :-(

Never mind, got creative with debfoster and freed a bit of space.  It's
in incoming.  Final patch against pristine source is attached.

Zeen,

-Adam P.

GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Welcome to the best software in the world today cafe!
http://lyre.mit.edu/~powell/The_Best_Stuff_In_The_World_Today_Cafe.ogg
[zinf3.patch (text/x-patch, attachment)]

Bug reopened, originator not changed. Request was from Adam C Powell IV <hazelsct@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Adam C Powell IV <hazelsct@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from Adam C Powell IV <hazelsct@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: help Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Andreas Rottmann <rotty@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #80 received at 271645-close@bugs.debian.org (full text, mbox):

From: Andreas Rottmann <rotty@debian.org>
To: 271645-close@bugs.debian.org
Subject: Bug#271645: fixed in zinf 2.2.5-5
Date: Sat, 30 Oct 2004 11:02:11 -0400
Source: zinf
Source-Version: 2.2.5-5

We believe that the bug you reported is fixed in the latest version of
zinf, which is due to be installed in the Debian FTP archive:

zinf-extras_2.2.5-5_i386.deb
  to pool/main/z/zinf/zinf-extras_2.2.5-5_i386.deb
zinf-plugin-alsa_2.2.5-5_i386.deb
  to pool/main/z/zinf/zinf-plugin-alsa_2.2.5-5_i386.deb
zinf-plugin-arts_2.2.5-5_i386.deb
  to pool/main/z/zinf/zinf-plugin-arts_2.2.5-5_i386.deb
zinf-plugin-esound_2.2.5-5_i386.deb
  to pool/main/z/zinf/zinf-plugin-esound_2.2.5-5_i386.deb
zinf_2.2.5-5.diff.gz
  to pool/main/z/zinf/zinf_2.2.5-5.diff.gz
zinf_2.2.5-5.dsc
  to pool/main/z/zinf/zinf_2.2.5-5.dsc
zinf_2.2.5-5_i386.deb
  to pool/main/z/zinf/zinf_2.2.5-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 271645@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Rottmann <rotty@debian.org> (supplier of updated zinf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 30 Oct 2004 13:50:06 +0200
Source: zinf
Binary: zinf-plugin-alsa zinf-plugin-arts zinf-extras zinf-plugin-esound zinf
Architecture: source i386
Version: 2.2.5-5
Distribution: unstable
Urgency: low
Maintainer: Andreas Rottmann <rotty@debian.org>
Changed-By: Andreas Rottmann <rotty@debian.org>
Description: 
 zinf       - Extensible, cross-platform audio player
 zinf-extras - Additional ncurses and command line user interfaces
 zinf-plugin-alsa - ALSA plugin for ZINF
 zinf-plugin-arts - aRts plugin for ZINF
 zinf-plugin-esound - EsounD plugin for ZINF
Closes: 271645 277831
Changes: 
 zinf (2.2.5-5) unstable; urgency=low
 .
   * Applied patch which fixes excessive memory consumtion when compiling
     Theme.cpp (closes: #271645).
   * debian/control: Added amd64 to the libasound2-dev build-dependency
     arch list and use -O0 when compiling on amd64 to work around compiler
     bug (closes: #277831).
Files: 
 3fdcaf01fd20219c25f6826733b462ff 1032 sound optional zinf_2.2.5-5.dsc
 479395e914e9f57db10232ec0b89cdd1 13845 sound optional zinf_2.2.5-5.diff.gz
 677cfad8e21f8ae182620874bc103416 1544890 sound optional zinf_2.2.5-5_i386.deb
 d918e8aa6f331533e020eeb8b188644f 46394 sound extra zinf-extras_2.2.5-5_i386.deb
 91956a237ad333aa20f81245251d7ca4 33196 sound optional zinf-plugin-esound_2.2.5-5_i386.deb
 7ebccc18fdca20ab29c854c448181a51 21528 sound extra zinf-plugin-alsa_2.2.5-5_i386.deb
 acae033e045dd96eb067be4194fe5783 32620 sound extra zinf-plugin-arts_2.2.5-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBg6nq+S/PxQH9W2IRAl4CAJ9r/jYhDh0TTj8SRdw6x4AzlvUa3wCeLIz1
ilvitFHROdgzqVHnGqgMqug=
=Io5q
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 19:05:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.